"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createCreateTable;

var _createQuery = _interopRequireDefault(require("./createQuery"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createCreateTable(pool) {
  return async (table, query) => {
    try {
      const result = await (0, _createQuery.default)(pool)(query);

      if (result.warningCount === 0) {
        console.info(`Created ${table} table`);
      }
    } catch (err) {
      console.error(`Failed to create table ${table}`);
    }
  };
}