"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createInsert;

var _createSelect = _interopRequireDefault(require("./createSelect"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createInsert(pool) {
  return (table, data, idField) => new Promise((resolve, reject) => {
    pool.getConnection((err, conn) => {
      if (err) {
        return reject(err);
      }

      const query = `INSERT INTO ${table} SET ?`;
      conn.query(query, data, (err, result) => {
        conn.release();

        if (err) {
          return reject(err);
        }

        (0, _createSelect.default)(pool)(table, result.insertId, idField).then(resolve).catch(reject);
      });
    });
  });
}