"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createSelect;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function createSelect(pool) {
  return (table, id, idField = 'id') => new Promise((resolve, reject) => {
    pool.getConnection((err, conn) => {
      if (err) {
        return reject(err);
      }

      const query = `SELECT * FROM ${table} WHERE ${idField} = ?`;
      conn.query(query, [id], (err, [row]) => {
        conn.release();

        if (err) {
          return reject(err);
        }

        resolve(row ? _objectSpread({}, row) : undefined);
      });
    });
  });
}