"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createUpdate;

var _createSelect = _interopRequireDefault(require("./createSelect"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createUpdate(pool) {
  return (table, id, data) => new Promise((resolve, reject) => {
    pool.getConnection((err, conn) => {
      if (err) {
        return reject(err);
      }

      const fields = [];
      const values = [];
      Object.keys(data).forEach(field => {
        fields.push(field);
        values.push(data[field]);
      });
      const query = [`UPDATE ${table} SET`, fields.map(field => `${field} = ?`).join(', '), `WHERE id = ${id}`].join(' ');
      conn.query(query, values, err => {
        conn.release();

        if (err) {
          return reject(err);
        }

        (0, _createSelect.default)(pool)('user', id).then(resolve).catch(reject);
      });
    });
  });
}