"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mysqlPlugin;

var _mysql = _interopRequireDefault(require("mysql"));

var _createCreateTable = _interopRequireDefault(require("./createCreateTable"));

var _createDelete = _interopRequireDefault(require("./createDelete"));

var _createInsert = _interopRequireDefault(require("./createInsert"));

var _createQuery = _interopRequireDefault(require("./createQuery"));

var _createSelect = _interopRequireDefault(require("./createSelect"));

var _createUpdate = _interopRequireDefault(require("./createUpdate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mysqlPlugin(omni) {
  const pool = _mysql.default.createPool({
    host: process.env.MYSQL_DB_HOST,
    user: process.env.MYSQL_DB_USER,
    password: process.env.MYSQL_DB_PASS,
    database: process.env.MYSQL_DB_NAME
  });

  omni.mysql = {
    createTable: (0, _createCreateTable.default)(pool),
    delete: (0, _createDelete.default)(pool),
    insert: (0, _createInsert.default)(pool),
    query: (0, _createQuery.default)(pool),
    select: (0, _createSelect.default)(pool),
    update: (0, _createUpdate.default)(pool)
  };
}